Skip to main content
POST
/
payment_schedules
Create a payment schedule
curl --request POST \
  --url https://api-sandbox.synctera.com/v0/payment_schedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "payment_instruction": {
    "request": {
      "amount": 607,
      "currency": "USD",
      "customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "dc_sign": "debit",
      "originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "company_entry_description": "PAYROLL",
      "company_name": "Asdf Finance",
      "effective_date": "2022-03-18",
      "external_data": {},
      "final_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "hold": {
        "amount": 123,
        "duration": 2
      },
      "is_same_day": true,
      "memo": "<string>",
      "reference_info": "Tempore atque et cum.",
      "risk": {
        "client_ip": "<string>"
      },
      "sec_code": "WEB"
    },
    "type": "ACH"
  },
  "schedule": {
    "frequency": "DAILY",
    "interval": 183,
    "start_date": "2023-12-25",
    "count": 2,
    "end_date": "2023-12-25",
    "start_search": "BACKWARD"
  },
  "metadata": {},
  "tenant": "abcdef_ghijkl"
}
'
{
  "creation_time": "2023-11-07T05:31:56Z",
  "last_updated_time": "2023-11-07T05:31:56Z",
  "tenant": "abcdef_ghijkl",
  "description": "<string>",
  "payment_instruction": {
    "request": {
      "amount": 607,
      "currency": "USD",
      "customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "dc_sign": "debit",
      "originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "company_entry_description": "PAYROLL",
      "company_name": "Asdf Finance",
      "effective_date": "2022-03-18",
      "external_data": {},
      "final_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "hold": {
        "amount": 123,
        "duration": 2
      },
      "is_same_day": true,
      "memo": "<string>",
      "reference_info": "Tempore atque et cum.",
      "risk": {
        "client_ip": "<string>"
      },
      "sec_code": "WEB"
    },
    "type": "ACH"
  },
  "schedule": {
    "frequency": "DAILY",
    "interval": 183,
    "start_date": "2023-12-25",
    "count": 2,
    "end_date": "2023-12-25",
    "start_search": "BACKWARD"
  },
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": {},
  "next_payment_date": {
    "execution_date": "2023-12-25",
    "scheduled_date": "2023-12-25"
  },
  "status": "ACTIVE"
}

Documentation Index

Fetch the complete documentation index at: https://docs.synctera.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

payment schedule to create

Payment schedule

description
string
required

User provided description for the payment schedule

payment_instruction
object
required
schedule
object
required

Payment schedule recurrence configuration

metadata
object

User provided JSON format data

tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

Response

Created payment schedule

Payment schedule

creation_time
string<date-time>
required
last_updated_time
string<date-time>
required
tenant
string
required

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

description
string
required

User provided description for the payment schedule

payment_instruction
object
required
schedule
object
required

Payment schedule recurrence configuration

id
string<uuid>
read-only

Payment schedule ID

metadata
object

User provided JSON format data

next_payment_date
object
read-only
status
enum<string>
read-only

Status of the payment schedule.

Available options:
ACTIVE,
CANCELLED,
ERRORED,
EXPIRED